%define name		konq-pdf
%define version		0.2
%define release		%mkrel 1

Name:		%{name}
Summary:	Various KDE service menus for PDF documents
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.kde-apps.org/content/show.php/konq-pdf?content=37321
Group:		File tools
BuildArch:	noarch
Source0:	%{name}-%{version}.tar.gz
Requires:	pdftk poppler pdfjam
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Here are various KDE service menus for PDF documents:
1) pdftk service menu
2) pdfjam service menu
3) poppler-utils service menu

Authors: Giuseppe Benigno <giuseppe.benigno@egregorion.net>

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

# Fix MIME-association inside *.desktop-files:
sed -i 's!ServiceTypes=application/pdf!ServiceTypes=application/x-pdf!' *.desktop

mkdir -p %{buildroot}/%{_kde3_datadir}/apps/konqueror/servicemenus
cp *.desktop %{buildroot}/%{_kde3_datadir}/apps/konqueror/servicemenus

%post

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%doc changelog COPYRIGHT Description LICENSE
%{_kde3_datadir}/apps/konqueror/servicemenus/*.desktop

%changelog
* Thu Oct 23 2008 Oliver Burger <rpm@mandrivauser.de> 0.2-1mud2009.0
- Rebuild for 2009.0

* Wed Jul 09 2008 Oliver Burger <rpm@mandrivauser.de> 0.2-2mud2008.1
- added fix for mime-types

* Wed Jul 09 2008 Oliver Burger <rpm@mandrivauser.de> 0.2-1mud2008.1
- Rebuild for 2008.1

* Sat Jan 05 2008 Oliver Burger <rpm@mandrivauser.de> 0.2-1mud2008.0
- Rebuild for MUde

* Sat Jan 05 2008 MaxiPunkt <email@domain.de> 0.2-1max
- First built for Mandriva
